

<md-toast>
  <span class="md-toast-text" flex>Mio toast!</span>
  <md-button class="md-highlight" ng-click="openMoreInfo($event)">
    More info
  </md-button>
  <md-button ng-click="closeToast()">
    Close
  </md-button>
</md-toast>



<md-tabs md-dynamic-height="" md-border-bottom="" md-center-tabs="true">
  <md-tab label="&nbsp;&nbsp;&nbsp;mainframe&nbsp;&nbsp;">
    <md-content layout="row">


      <div flex ng-cloak>
        <div flex ng-cloak>
          <md-content layout-padding layout="column">
            <md-menu>
              <span ng-class="{'red': stageSelected != ''}"><md-button  ng-disabled="cloneSelected.length != 0" aria-label="Filter stage" class="md-icon-button" ng-mouseenter="$mdMenu.open()">
                <i class="material-icons">filter_list</i>
              </md-button> Stage <b ng-hide="stageSelected == ''">{{stageSelected}}</b></span>
              <md-menu-content width="4" ng-mouseleave="$mdMenu.close()">
                <md-menu-item>
                  <md-button ng-click="selectStage('')" ng-disabled="stageSelected == ''">
                    Tutti
                  </md-button>
                </md-menu-item>
                <md-menu-item ng-repeat="stage in stageList">
                  <md-button ng-click="selectStage(stage.stage)">
                    Stage {{stage.stage}} -<em> {{stage.descrizione}}</em>
                  </md-button>
                </md-menu-item>
              </md-menu-content>
            </md-menu>
          </md-content>
        </div>

        <div flex ng-cloak>
          <md-content layout-padding>
            <md-grid-list
                md-cols="3"
                md-cols-sm="{{resizeGridValuesActive.mdcolssm}}"
                md-cols-md="{{resizeGridValuesActive.mdcolsmd}}"
                md-cols-lg="{{resizeGridValuesActive.mdcolslg}}"
                md-cols-gt-lg="{{resizeGridValuesActive.mdcolsgtlg}}"
                md-row-height-gt-md="1:1" md-row-height="4:3"
                md-gutter-gt-md="16px" md-gutter-md="8px" md-gutter="4px">
              <md-grid-tile

                  ng-repeat="clone in cloni | cloneAttivoFilter:true | orderBy: 'stage' | stageFilter: stageSelected | cloneSelectedFilter: cloneSelected"
                  ng-click="openDetail_clone(clone)"
                  class="{{clone.stato_ondemand}}"
                  ng-style="{
                    'background': clone.color,
                    'cursor': 'pointer'
                  }"
                  md-colspan-gt-sm="{{clone.colspan}}"
                  md-rowspan-gt-sm="{{clone.rowspan}}">
                  <md-grid-tile-header hide-xs>

                    <div layout="row">
                      <div flex>
                        <h3 class="md-subhead" style="text-align: center !important;">
                          {{clone.desc_clone}}

                        </h3>
                      </div>
                      <div flex>
                        <h3 style="position: absolute !important; right: -3px; top: -10px;">
                          <md-button class="md-fab" ng-disabled="false" >
                            <b class="md-title">{{clone.richieste_attive}}</b>
                          </md-button>
                        </h3>
                      </div>
                    </div>

                  </md-grid-tile-header>

                  <div flex>
                    <h3 hide-xs style="text-align: center !important;" class="md-display-3">{{clone.codice_clone}}</h3>
                    <h3 hide-gt-xs style="text-align: center !important; margin: 0;" class="md-display-1">{{clone.codice_clone}}</h3>
                    <h3 hide-gt-xs style="text-align: center !important; margin: 0;" class="md-headline">Stage {{clone.stage}}</h3>
                  </div>

                  <div flex hide-xs><h3 style="text-align: center !important;" class="md-headline">Stage {{clone.stage}}</h3></div>

                  <md-grid-tile-footer hide-xs><h3 class="md-title" >DB2: <b>{{clone.db2}}</b></h3></md-grid-tile-footer>
                  <md-tooltip md-delay="300" md-direction="top">
                    {{clone.stato_clone}}
                  </md-tooltip>
              </md-grid-tile>
            </md-grid-list>
          </md-content>

        </div>
        <div flex ng-cloak style="margin-top: 30px;">
          <md-content layout-padding>
            <md-grid-list
                md-cols="3"
                md-cols-sm="{{resizeGridValuesActive.mdcolssm}}"
                md-cols-md="{{resizeGridValuesActive.mdcolsmd}}"
                md-cols-lg="{{resizeGridValuesActive.mdcolslg}}"
                md-cols-gt-lg="{{resizeGridValuesActive.mdcolsgtlg}}"
                md-row-height-gt-md="1:1" md-row-height="4:3"
                md-gutter-gt-md="16px" md-gutter-md="8px" md-gutter="4px">
              <md-grid-tile
                  class="{{clone.stato_ondemand}}"
                  ng-click="openDetail_clone(clone)"
                  ng-repeat="clone in cloni | cloneAttivoFilter:false | orderBy: 'stage' | stageFilter: stageSelected | cloneSelectedFilter: cloneSelected"
                  ng-style="{
                    'background': clone.color,
                    'cursor': 'pointer'
                  }"
                  md-colspan-gt-sm="{{clone.colspan}}"
                  md-rowspan-gt-sm="{{clone.rowspan}}">

                  <div flex layout="column" layout-fill>
                    <div flex>
                      <h3 hide-xs style="text-align: center !important; margin: 0;" class="md-headline"><b>{{clone.codice_clone}}</b></h3>
                      <!--<h3 hide-gt-xs style="text-align: center !important; margin: 0;" class="md-subhead">{{clone.codice_clone}}</h3>-->
                    </div>
                    <div flex>
                      <h3 hide-xs style="text-align: center !important; margin: 0;" class="md-title">Stage {{clone.stage}}</h3>
                      <h3 hide-gt-xs style="text-align: center !important; margin: 0;" class="md-body-1">{{clone.desc_clone}}</h3>

                    </div>
                    <div flex>
                      <h3 hide-xs style="text-align: center !important; margin: 5px;" class="md-caption"><em>{{clone.desc_clone}}</em></h3>
                      <h3 hide-gt-xs style="text-align: center !important; margin: 0;" class="md-subhead">Stage {{clone.stage}}</h3>
                    </div>
                  </div>
                  <md-tooltip md-delay="300" md-direction="top">
                    {{clone.stato_clone}}
                  </md-tooltip>


              </md-grid-tile>
            </md-grid-list>
          </md-content>

        </div>
      </div>
      <div flex ng-show="cloneSelected.length != 0" class="animate-show-hide">
        <md-content layout-padding>
          <div layout="row" layout-align="end center">
            <md-button class="md-icon-button md-primary" ng-click="closeDetail_clone()">
              <i class="material-icons" >close</i>
            </md-button>
          </div>
          <div flex>
            <md-progress-circular ng-show="SPlistByClone.length == 0" class="md-hue-2" md-diameter="70"></md-progress-circular>
            <!--<div layout layout-sm="column">
                <md-input-container flex>
                    <label>Search</label>
                    <input ng-model="chains.search"
                           placeholder="Search chain...">
                </md-input-container>
            </div>-->

            <div class="table-responsive-vertical md-whiteframe-z1" ng-show="SPlistByCloneFiltered.length != 0">
                <md-toolbar class="md-table-toolbar md-default">
                  <div class="md-toolbar-tools">
                      <span><strong>Clone {{cloneSelected.desc_clone}} (stage {{cloneSelected.stage}})</strong></span>
                      <md-button class="md-icon-button md-primary" ng-click="toggleInfo()" >
                        <i class="material-icons">{{viewInfoIcon}}</i>
                      </md-button>
                      <span flex></span>
                      <span>
                      <md-switch ng-model="vediChiuse" aria-label="Switch richieste aperte">

                      </md-switch>
                      <md-tooltip md-direction="left">
                        {{!vediChiuse ? 'Vedi anche richieste chiuse' :'Vedi solo richieste aperte'}}
                      </md-tooltip>
                      </span>

                  </div>
                </md-toolbar>
                <div flex layout-padding style="font-size: 15px; line-height: 1px;" ng-show="viewInfo">
                  <p>Data ultimo zoccolo duro: {{cloneSelected.data_zoccolo_duro}}</p>
                  <p>Data popolamento: {{cloneSelected.data_popolamento}}</p>
                  <p>Data foto: {{cloneSelected.data_foto}}</p>
                  <p>Data allestimento clone: {{cloneSelected.data_allestimento}}</p>
                  <p>Data dismissione clone: {{cloneSelected.data_allestimento}}</p>
                </div>
                <md-table-container>
                  <table md-table md-progress="promise" class="table table-hover table-bordered">
                    <thead ng-if="!options.decapitate" md-head md-order="querySPlistByClone.order" md-on-reorder="logOrder">

                        <th md-column md-numeric md-order-by="richiesta_sp" class="fixed-width"><span>SP</span></th>
                        <th md-column md-order-by="inizio_attivita"><span>Inizio attività</span></th>
                        <th md-column md-order-by="inizio_attivita"><span>% avanzamento</span></th>
                        <th md-column ng-show="vediChiuse" md-order-by="stato_richiesta"><span>Stato richiesta</span></th>
                        <!--<th md-column md-numeric md-order-by="percentrealization" md-desc>
                          <md-tooltip
                            md-direction="top">
                            The correlation is how the itemset of events are bounded with the chain. If all the itemset are verified, the chain will be verified with the minimun confidence equal to the correlation value.
                          </md-tooltip>
                          <span>Realization %</span>
                        </th>-->
                      </tr>
                    </thead>
                    <tbody md-body>
                      <tr ng-click="openDetail_sp(sp)" ng-class="{selected: sp.id === idSelectedSP}" md-row md-select="sp" md-on-select="" ng-repeat="sp in (SPlistByCloneFiltered = (SPlistByClone | spAperteFilter: vediChiuse)) | orderBy: querySPlistByClone.order | limitTo: querySPlistByClone.limit : (querySPlistByClone.page -1) * querySPlistByClone.limit">
                        <td ng-class="{'green': sp.stato_richiesta == 1 && vediChiuse}" md-cell>{{sp.richiesta_sp}}</td>
                        <td ng-class="{'green': sp.stato_richiesta == 1 && vediChiuse}" md-cell>{{sp.inizio_attivita | date:'dd/MM/yyyy HH:ss'}}</td>
                        <td ng-class="{'green': sp.stato_richiesta == 1 && vediChiuse}" md-cell><md-progress-linear md-mode="determinate" value="{{sp.perc_avanvamento}}"></md-progress-linear>
                          <md-tooltip
                            md-direction="top">
                            {{sp.perc_avanvamento | number: 1}}% (cilindri copiati {{sp.sum_stato_c}} su {{sp.sum_stato_tot}})
                          </md-tooltip>
                        </td>
                        <td ng-class="{'green': sp.stato_richiesta == 1 && vediChiuse}" md-cell ng-show="vediChiuse">
                          <i class="material-icons">{{sp.stato_richiesta == 1 ? 'done' : 'clear'}}
                            <md-tooltip
                              md-direction="left">
                              {{sp.stato_richiesta == 1 ? 'Richiesta in corso' : 'Richiesta chiusa'}}
                            </md-tooltip>
                          </i>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </md-table-container>

                <md-table-pagination md-limit="querySPlistByClone.limit" md-limit-options="limitOptions" md-page="querySPlistByClone.page" md-total="{{SPlistByCloneFiltered.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>
            </div>

          </div>
        </md-content>
        <md-content layout-padding
          ng-show="oggettiBySP.db2.length + oggettiBySP.vsm.length + oggettiBySP.seq.length + oggettiBySP.gdg.length != 0" >
          <div flex>
            <div class="table-responsive-vertical md-whiteframe-z1">
                <md-toolbar class="md-table-toolbar md-default">
                  <div class="md-toolbar-tools">
                    <span><strong>SP {{spSelected.richiesta_sp}}</strong></span>
                  </div>
                </md-toolbar>
                <md-table-container>
                  <md-tabs md-dynamic-height md-border-bottom>
                    <md-tab label="DB2">
                      <md-content class="md-padding">
                        <table md-table md-progress="promise" class="table table-hover table-bordered">
                          <thead ng-if="!options.decapitate" md-head md-order="queryGetDBdataBySp.order" md-on-reorder="logOrder">
                              <th md-column md-order-by="oggetto" class="fixed-width"><span>Oggetto</span></th>
                              <th md-column md-order-by="ssa"><span>SSA</span></th>
                              <th md-column md-order-by="acronimo"><span>Acronimo</span></th>
                            </tr>
                          </thead>
                          <tbody md-body>
                            <tr md-row ng-class="{selected: oggetto_db2.oggetto === idSelectedDBR}" ng-click="openDetail_oggetto(oggetto_db2)"  ng-repeat="oggetto_db2 in oggettiBySP.db2 | orderBy: queryGetDBdataBySp.order | limitTo: queryGetDBdataBySp.limit : (queryGetDBdataBySp.page -1) * queryGetDBdataBySp.limit">
                              <td md-cell>{{oggetto_db2.oggetto}}</td>
                              <td md-cell><span>{{oggetto_db2.ssa}}
                                <md-tooltip
                                  md-direction="right">
                                  {{oggetto_db2.ssa_desc}}
                                </md-tooltip></span>
                              </td>
                              <td md-cell>{{oggetto_db2.acronimo}}</td>
                            </tr>
                          </tbody>
                        </table>
                        <md-table-pagination md-limit="queryGetDBdataBySp.limit" md-limit-options="limitOptions" md-page="queryGetDBdataBySp.page" md-total="{{oggettiBySP.db2.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>
                      </md-content>
                    </md-tab>
                    <md-tab label="VSAM">
                      <md-content class="md-padding">
                        <table md-table md-progress="promise" class="table table-hover table-bordered">
                          <thead ng-if="!options.decapitate" md-head md-order="queryGetDBdataBySp.order" md-on-reorder="logOrder">
                              <th md-column md-order-by="oggetto" class="fixed-width"><span>Oggetto</span></th>
                              <th md-column md-order-by="ssa"><span>SSA</span></th>
                              <th md-column md-order-by="acronimo"><span>Acronimo</span></th>
                            </tr>
                          </thead>
                          <tbody md-body>
                            <tr md-row ng-repeat="oggetto_vsm in oggettiBySP.vsm | orderBy: queryGetDBdataBySp.order | limitTo: queryGetDBdataBySp.limit : (queryGetDBdataBySp.page -1) * queryGetDBdataBySp.limit">
                              <td md-cell>{{oggetto_vsm.oggetto}}</td>
                              <td md-cell><span>{{oggetto_vsm.ssa}}
                                <md-tooltip
                                  md-direction="right">
                                  {{oggetto_vsm.ssa_desc}}
                                </md-tooltip></span>

                              </td>
                              <td md-cell>{{oggetto_vsm.acronimo}}</td>
                            </tr>
                          </tbody>
                        </table>
                        <md-table-pagination md-limit="queryGetDBdataBySp.limit" md-limit-options="limitOptions" md-page="queryGetDBdataBySp.page" md-total="{{oggettiBySP.vsm.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>
                      </md-content>
                    </md-tab>
                    <md-tab label="GDG">
                      <md-content class="md-padding">
                        <table md-table md-progress="promise" class="table table-hover table-bordered">
                          <thead ng-if="!options.decapitate" md-head md-order="queryGetDBdataBySp.order" md-on-reorder="logOrder">
                              <th md-column md-order-by="oggetto" class="fixed-width"><span>Oggetto</span></th>
                              <th md-column md-order-by="ssa"><span>SSA</span></th>
                              <th md-column md-order-by="acronimo"><span>Acronimo</span></th>
                            </tr>
                          </thead>
                          <tbody md-body>
                            <tr md-row ng-repeat="oggetto_gdg in oggettiBySP.gdg | orderBy: queryGetDBdataBySp.order | limitTo: queryGetDBdataBySp.limit : (queryGetDBdataBySp.page -1) * queryGetDBdataBySp.limit">
                              <td md-cell>{{oggetto_gdg.oggetto}}</td>
                              <td md-cell><span>{{oggetto_gdg.ssa}}
                                <md-tooltip
                                  md-direction="right">
                                  {{oggetto_gdg.ssa_desc}}
                                </md-tooltip></span>
                              </td>
                              <td md-cell>{{oggetto_gdg.acronimo}}</td>
                            </tr>
                          </tbody>
                        </table>
                        <md-table-pagination md-limit="queryGetDBdataBySp.limit" md-limit-options="limitOptions" md-page="queryGetDBdataBySp.page" md-total="{{oggettiBySP.gdg.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>
                      </md-content>
                    </md-tab>
                    <md-tab label="Sequenziale">
                      <md-content class="md-padding">
                        <table md-table md-progress="promise" class="table table-hover table-bordered">
                          <thead ng-if="!options.decapitate" md-head md-order="queryGetDBdataBySp.order" md-on-reorder="logOrder">
                              <th md-column md-order-by="oggetto" class="fixed-width"><span>Oggetto</span></th>
                              <th md-column md-order-by="ssa"><span>SSA</span></th>
                              <th md-column md-order-by="acronimo"><span>Acronimo</span></th>
                            </tr>
                          </thead>
                          <tbody md-body>
                            <tr md-row ng-repeat="oggetto_seq in oggettiBySP.seq | orderBy: queryGetDBdataBySp.order | limitTo: queryGetDBdataBySp.limit : (queryGetDBdataBySp.page -1) * queryGetDBdataBySp.limit">
                              <td md-cell>{{oggetto_seq.oggetto}}</td>
                              <td md-cell><span>{{oggetto_seq.ssa}}
                                <md-tooltip
                                  md-direction="right">
                                  {{oggetto_seq.ssa_desc}}
                                </md-tooltip></span>
                              </td>
                              <td md-cell>{{oggetto_seq.acronimo}}</td>
                            </tr>
                          </tbody>
                        </table>
                        <md-table-pagination md-limit="queryGetDBdataBySp.limit" md-limit-options="limitOptions" md-page="queryGetDBdataBySp.page" md-total="{{oggettiBySP.seq.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>
                      </md-content>
                    </md-tab>

                  </md-tabs>


                </md-table-container>


            </div>

          </div>
        </md-content>

        <md-content layout-padding
          ng-show="TSlistByDBR.length != 0" >
          <div flex>
            <div class="table-responsive-vertical md-whiteframe-z1">
                <md-toolbar class="md-table-toolbar md-default">
                  <div class="md-toolbar-tools">
                    <span><strong>{{dbrSelected.oggetto}}</strong></span>
                  </div>
                </md-toolbar>
                <md-table-container>
                  <md-content class="md-padding">
                    <table md-table md-progress="promise" class="table table-hover table-bordered">
                      <thead ng-if="!options.decapitate" md-head md-order="queryGetTSbyDBR.order" md-on-reorder="logOrder">
                          <th md-column md-order-by="tablespace" class="fixed-width"><span>Tablespace</span></th>
                          <th md-column md-order-by="spazio"><span>Spazio</span></th>
                          <th md-column md-order-by="stato"><span>Stato</span></th>
                        </tr>
                      </thead>
                      <tbody md-body>
                        <tr md-row ng-repeat="ts in TSlistByDBR | orderBy: queryGetTSbyDBR.order | limitTo: queryGetTSbyDBR.limit : (queryGetTSbyDBR.page -1) * queryGetTSbyDBR.limit">
                          <td md-cell>{{ts.tablespace}}</td>
                          <td md-cell>{{ts.spazio}}</td>
                          <td md-cell>{{ts.stato}}</td>
                        </tr>
                      </tbody>
                    </table>

                  </md-content>


                </md-table-container>
                <md-table-pagination md-limit="queryGetTSbyDBR.limit" md-limit-options="limitOptions" md-page="queryGetTSbyDBR.page" md-total="{{TSlistByDBR.length}}" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks" md-on-paginate="logPagination"></md-table-pagination>


            </div>

          </div>
        </md-content>

      </div>
    </md-content>
  </md-tab>
  <md-tab label="dipartimentale">
    <md-content class="md-padding">
      <p>In costruzione</p>

    </md-content>
  </md-tab>
</md-tabs>
